/** HTTP request method to indicate the desired action to be performed for a given resource. */
export declare const HttpMethod: {
    /** The CONNECT method establishes a tunnel to the server identified by the target resource. */
    readonly CONNECT: "CONNECT";
    /** The DELETE method deletes the specified resource. */
    readonly DELETE: "DELETE";
    /** The GET method requests a representation of the specified resource. Requests using GET should only retrieve data. */
    readonly GET: "GET";
    /** The HEAD method asks for a response identical to that of a GET request, but without the response body. */
    readonly HEAD: "HEAD";
    /** The OPTIONS method is used to describe the communication options for the target resource. */
    readonly OPTIONS: "OPTIONS";
    /** The PATCH method is used to apply partial modifications to a resource. */
    readonly PATCH: "PATCH";
    /** The POST method is used to submit an entity to the specified resource */
    readonly POST: "POST";
    /** The PUT method replaces all current representations of the target resource with the request payload. */
    readonly PUT: "PUT";
    /** The TRACE method performs a message loop-back test along the path to the target resource. */
    readonly TRACE: "TRACE";
};
export type HttpMethodType = typeof HttpMethod[keyof typeof HttpMethod];
//# sourceMappingURL=http-methods.d.ts.map