import { VideoChannelsSearchQueryAfterSanitize, VideoPlaylistsSearchQueryAfterSanitize, VideosCommonQueryAfterSanitize, VideosSearchQueryAfterSanitize } from '../../../peertube-models';
declare function pickCommonVideoQuery(query: VideosCommonQueryAfterSanitize): Pick<VideosCommonQueryAfterSanitize, "sort" | "nsfw" | "isLive" | "hasWebVideoFiles" | "count" | "search" | "include" | "start" | "categoryOneOf" | "licenceOneOf" | "languageOneOf" | "tagsOneOf" | "tagsAllOf" | "privacyOneOf" | "isLocal" | "hasHLSFiles" | "hasWebtorrentFiles" | "excludeAlreadyWatched" | "skipCount">;
declare function pickSearchVideoQuery(query: VideosSearchQueryAfterSanitize): {
    startDate?: string;
    endDate?: string;
    host?: string;
    excludeAlreadyWatched?: boolean;
    originallyPublishedStartDate?: string;
    originallyPublishedEndDate?: string;
    durationMin?: number;
    durationMax?: number;
    uuids?: string[];
    searchTarget?: import("../../../peertube-models").SearchTargetType;
    sort: string;
    nsfw?: import("../../../peertube-models").BooleanBothQuery;
    isLive?: boolean;
    hasWebVideoFiles?: boolean;
    count: number;
    search?: string;
    include?: number;
    start: number;
    categoryOneOf?: number[];
    licenceOneOf?: number[];
    languageOneOf?: string[];
    tagsOneOf?: string[];
    tagsAllOf?: string[];
    privacyOneOf?: import("../../../peertube-models").VideoPrivacyType[];
    isLocal?: boolean;
    hasHLSFiles?: boolean;
    hasWebtorrentFiles?: boolean;
    skipCount?: boolean;
};
declare function pickSearchChannelQuery(query: VideoChannelsSearchQueryAfterSanitize): Pick<VideoChannelsSearchQueryAfterSanitize, "sort" | "host" | "count" | "search" | "start" | "handles" | "searchTarget">;
declare function pickSearchPlaylistQuery(query: VideoPlaylistsSearchQueryAfterSanitize): Pick<VideoPlaylistsSearchQueryAfterSanitize, "sort" | "host" | "count" | "search" | "start" | "uuids" | "searchTarget">;
export { pickCommonVideoQuery, pickSearchVideoQuery, pickSearchPlaylistQuery, pickSearchChannelQuery };
//# sourceMappingURL=query.d.ts.map