import { NodeOptions as ExecaNodeOptions } from 'execa';
import { VideoResolutionType } from '../../../../peertube-models';
export declare class YoutubeDLCLI {
    static safeGet(): Promise<YoutubeDLCLI>;
    static updateYoutubeDLBinary(): Promise<void>;
    static getYoutubeDLVideoFormat(enabledResolutions: VideoResolutionType[], useBestFormat: boolean): string;
    private constructor();
    download(options: {
        url: string;
        format: string;
        output: string;
        processOptions: ExecaNodeOptions;
        timeout?: number;
        additionalYoutubeDLArgs?: string[];
    }): Promise<string[]>;
    getInfo(options: {
        url: string;
        format: string;
        processOptions: ExecaNodeOptions;
        additionalYoutubeDLArgs?: string[];
    }): Promise<any>;
    getListInfo(options: {
        url: string;
        latestVideosCount?: number;
        processOptions: ExecaNodeOptions;
    }): Promise<{
        upload_date: string;
        webpage_url: string;
    }[]>;
    getSubs(options: {
        url: string;
        format: 'vtt';
        processOptions: ExecaNodeOptions;
    }): Promise<string[]>;
    private run;
    private wrapWithProxyOptions;
    private wrapWithIPOptions;
    private wrapWithFFmpegOptions;
}
//# sourceMappingURL=youtube-dl-cli.d.ts.map