import { MUserId, MVideoFile, MVideoFullLight } from '../../../../types/models/index.js';
import { AbstractJobBuilder } from './abstract-job-builder.js';
export declare class TranscodingJobQueueBuilder extends AbstractJobBuilder {
    createOptimizeOrMergeAudioJobs(options: {
        video: MVideoFullLight;
        videoFile: MVideoFile;
        isNewVideo: boolean;
        user: MUserId;
        videoFileAlreadyLocked: boolean;
    }): Promise<void>;
    createTranscodingJobs(options: {
        transcodingType: 'hls' | 'webtorrent' | 'web-video';
        video: MVideoFullLight;
        resolutions: number[];
        isNewVideo: boolean;
        user: MUserId | null;
    }): Promise<void>;
    private createTranscodingJobsWithChildren;
    private buildTranscodingJob;
    private buildLowerResolutionJobPayloads;
    private buildHLSJobPayload;
    private buildWebVideoJobPayload;
    private buildMergeAudioPayload;
    private buildOptimizePayload;
}
//# sourceMappingURL=transcoding-job-queue-builder.d.ts.map