import type { FileStorageType, VideoSource } from '../../../../peertube-models';
import { Transaction } from 'sequelize';
import { SequelizeModel } from '../shared/index.js';
import { VideoModel } from './video.js';
import { MVideoSource } from '../../types/models/video/video-source.js';
export declare class VideoSourceModel extends SequelizeModel<VideoSourceModel> {
    createdAt: Date;
    updatedAt: Date;
    inputFilename: string;
    keptOriginalFilename: string;
    resolution: number;
    width: number;
    height: number;
    fps: number;
    size: number;
    metadata: any;
    storage: FileStorageType;
    fileUrl: string;
    videoId: number;
    Video: Awaited<VideoModel>;
    static loadLatest(videoId: number, transaction?: Transaction): Promise<MVideoSource>;
    static loadByKeptOriginalFilename(keptOriginalFilename: string): Promise<MVideoSource>;
    static listAll(videoId: number, transaction?: Transaction): Promise<MVideoSource[]>;
    getFileDownloadUrl(): string;
    toFormattedJSON(): VideoSource;
}
//# sourceMappingURL=video-source.d.ts.map